#!/bin/sh
#
#  Runs the @THIS_BROKER_NAME@ broker
#
#  Created by @CONTACT_EMAIL@
#
HARVEST_HOME=@THIS_HARVEST_HOME@; export HARVEST_HOME
PATH=${HARVEST_HOME}/bin:${HARVEST_HOME}/lib/broker:$PATH; export PATH
d=@THIS_BROKER_DIR@

# change into the broker directory
cd $d

# protect the configuration file
chmod o-r admin/broker.conf

# run the broker 
broker $d/admin/broker.conf $*
